from lib.Logger import Logger
from lib.MultiLogger import MultiLogger
from lib.LogLevels import Level
from lib.Log import Log
from lib import console

_LOGGER = Logger("Generic")

_LOGGER.warn("This is a simple log {}", "message.")

custom_level = Level("FAULTY_LEVEL", 100, "*", (console.util.underline + console.util.bold + console.fg.cyan))
_LOGGER.custom(custom_level, "ok")

_temp_logger = Logger("tmp_logger", False, open("logs.log", 'a+'))
_MultiLogger = MultiLogger([_LOGGER, _temp_logger])

_MultiLogger.warn("OK")
