from .Logger import Logger
from .Log import Log


class MultiLogger(Logger):
    def __init__(self, sub_loggers: list[Logger]):
        super().__init__()
        self._sub_loggers = sub_loggers

    def _log(self, log: Log):
        for sl in self._sub_loggers:
            sl._log(log)
